#!/usr/bin/perl -w

use strict;
use File::ReadBackwards;

my @files = ("/var/log/httpd-access.log", "/var/log/boa-access.log");

my $bw;

foreach ( @files ) {
    $bw->{$_} = File::ReadBackwards->new( $_ );
}

foreach my $f ( @files ) {
    print "$f\n";
    for( my $i = 0; $i < 10; $i++ ) {
        print $bw->{$f}->readline() . "\n";
    }
    print "\n\n";
}

        